Groovy 1.7.0

## groovy.lang
Class IntRange.IntRangeIterator

    java.lang.Object
      groovy.lang.IntRange.IntRangeIterator

All Implemented Interfaces:
  Iterator

    class IntRange.IntRangeIterator

Iterates through each number in an `IntRange`.

Constructor Summary
`IntRange.IntRangeIterator()`

Method Summary
`boolean` | `hasNext()` {
`Integer` | `next()` {
`void` | `remove()` Not supported.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### IntRange.IntRangeIterator

    IntRange.IntRangeIterator()

Method Detail

### hasNext

    public boolean hasNext()

  {@inheritDoc}

### next

    public Integer next()

  {@inheritDoc}

### remove

    public void remove()

  Not supported.
  throws:
    java.lang.UnsupportedOperationException always

Copyright © 2003-2009 The Codehaus. All rights reserved.